Bug 113804 - LOCALHELP Document the HangingIndent command
Summary: LOCALHELP Document the HangingIndent command
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: sdc.blanco
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2017-11-13 16:41 UTC by Gabor Kelemen
Modified: 2020-11-16 21:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2017-11-13 16:41:57 UTC
The HangingIndent command was created recently and it is used in the Writer sidebar, but I can find no documentation about it:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=c1351a7b1363dac4349f37ac8876fdf950e62b97
Comment 1 Buovjaga 2017-11-14 19:45:09 UTC
Setting to NEW...
Comment 2 sdc.blanco 2020-11-09 16:59:11 UTC
I am willing to add something to help, but cannot find any relevant information from the source code or from experimenting with the command.

Here is patch:  https://gerrit.libreoffice.org/c/core/+/35930/
No indication of tdf bug #.
Not mentioned in release notes.
Could not see a "tooltip" in source code.

Does not seem to appear in Sidebar at present (7.1.0.0, 6.3.6.2), and does not seem to be included in any toolbar.

After adding to toolbar, could not get any noticeable change from clicking on icon.

There are help pages about making hanging indents:

https://help.libreoffice.org/7.1/en-US/text/swriter/guide/indenting.html

and

https://help.libreoffice.org/7.1/en-US/text/shared/01/05030100.html

but they do not address this command.
Comment 3 sdc.blanco 2020-11-09 17:18:41 UTC
1. Set First line Indent greater than zero.
2. click on Hanging  Indent icon in toolbar.

Result: Can exchange (back and forth) values for "left indent" and "first line indent".

Purpose?  Useful for?
Comment 4 Commit Notification 2020-11-16 21:20:33 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/8dd6a6bb91cc620e33a9927293d9723876d50344

tdf#113804 add explanation about Hanging Indent .uno
Comment 5 sdc.blanco 2020-11-16 21:23:38 UTC
When the online help is updated from master (in a few days), then it should be possible to see help for "Hanging Indent" at:  https://help.libreoffice.org/7.1/en-US/text/swriter/guide/indenting.html

Closing as FIXED